<template>
  <div class="header_nox">
    <el-button type="warning" circle @click="exportWord">下载</el-button>
    <el-button
      type="primary"
      circle
      v-show="!editable"
      @click="editable = !editable"
      >编辑</el-button
    >
    <el-button type="primary" v-show="editable" @click="saveData"
      >确定</el-button
    >
  </div>
  <div id="printContent" ref="imageWrapper">
    <h3>焊机/后道工序生产质量记录</h3>
    <div class="title_form">
      <div class="title_form_input">
        <span>生产线：</span>
        <span>{{ headData.head.shengcx }}</span>
      </div>
      <div class="title_form_input">
        <span>产品：</span>
        <span>{{ headData.head.chanpin }}</span>
      </div>
      <div class="title_form_input">
        <span>日期：</span>
        <span>{{ headData.head.reportTime }}</span>
      </div>
      <div class="title_form_input">
        <span>班次：</span>
        <span>{{ headData.head.banci }}</span>
      </div>

      <!-- <div class="title_form_input">
        <span>生产线：</span>
        <span>四线</span>
      </div> -->
    </div>
    <el-divider />
    <HJTABLE
      :SClist="SClist"
      :tableHeader="tableHeader"
      :labelName="labelName.scjl"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="ytfpData"
      :tableHeader="ytfpHeader"
      :labelName="labelName.fptj"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="hjfpData"
      :tableHeader="hjfpHeader"
      :editable="editable"
    ></HJTABLE>

    <div>
      <el-row>
        <el-col :span="6">
          <HJTABLE
            :SClist="wgList"
            :tableHeader="wgHeader"
            :labelName="labelName.wgzl"
            :editable="editable"
          ></HJTABLE>
        </el-col>
        <el-col :span="6">
          <HJTABLE
            :SClist="wgList"
            :tableHeader="wgHeader"
            :labelName="labelName.wgzl"
            :editable="editable"
          ></HJTABLE>
        </el-col>
        <el-col :span="6">
          <HJTABLE
            :SClist="wgList"
            :tableHeader="wgHeader"
            :labelName="labelName.wgzl"
            :editable="editable"
          ></HJTABLE>
        </el-col>
        <el-col :span="6">
          <HJTABLE
            :SClist="djlList"
            :tableHeader="djlHeader"
            :labelName="labelName.djl"
            :editable="editable"
          ></HJTABLE>
        </el-col>
      </el-row>
    </div>
    <!-- <HJTABLE
      :SClist="wgList"
      :tableHeader="wgHeader"
      :labelName="labelName.wgzl"
      :editable="editable"
    ></HJTABLE> -->
    <div>
      <el-row>
        <el-col :span="12">
          <HJTABLE
            :SClist="dqlsList"
            :tableHeader="dqlsHeader"
            :labelName="labelName.dqsl"
            :editable="editable"
          ></HJTABLE>
        </el-col>
        <el-col :span="12">
          <HJTABLE
            :SClist="rdList"
            :tableHeader="rdHeader"
            :editable="editable"
          ></HJTABLE>
        </el-col>
      </el-row>
    </div>

    <HJTABLE
      :SClist="hlList"
      :tableHeader="hlHeader"
      :labelName="labelName.hlgl"
      :editable="editable"
    ></HJTABLE>
  </div>
</template>

<script>
const item = {
  name: "",
  birth: "",
  province: "",
  city: "",
  address: "",
  phone: "",
};
const header = {
  prop: "key",
  label: "自定义",
  editable: false,
  type: "input",
};
import { ref, reactive, onMounted } from "vue";
import { ElMessage } from "element-plus";
import { hanjiVoLest, save } from "@/api/HJapi";
import html2canvas from "html2canvas";
import docxtemplater from "docxtemplater";
import PizZip from "pizzip";
import JSZipUtils from "jszip-utils";
import { saveAs } from "file-saver";
import HJTABLE from "@/components/arj/arj-table";
import { useRouter } from "vue-router";
import { headReport } from "@/api/head";
export default {
  name: "",
  components: { HJTABLE },
  props: {},
  setup(props) {
    const router = useRouter();
    const wgHeader = reactive([
      {
        prop: "jdDate1",
        label: "时间",
        editable: false,
        type: "text",
      },
      {
        prop: "waiguanzhiliang",
        label: "外观质量",
        editable: false,
        type: "input",
      },
    ]);

    const dqlsHeader = reactive([
      {
        prop: "jdDate1",
        label: "时间",
        editable: false,
        type: "text",
      },
      {
        prop: "dingqiusila",
        label: "顶球撕拉",
        editable: false,
        type: "input",
      },
      {
        prop: "liusaunqinpao",
        label: "硫酸铜侵泡",
        editable: false,
        type: "input",
      },
    ]);
    const djlHeader = reactive([
      {
        prop: "jdDate1",
        label: "时间",
        editable: false,
        type: "text",
      },
      {
        prop: "dajieliangTou",
        label: "头部",
        editable: false,
        type: "input",
      },
      {
        prop: "dajieliangWei",
        label: "尾部",
        editable: false,
        type: "input",
      },
    ]);

    const rdHeader = reactive([
      {
        prop: "jdDate1",
        label: "时间",
        editable: false,
        type: "text",
      },
      {
        prop: "tuliaoniandu",
        label: "涂料粘度",
        editable: false,
        type: "input",
      },
      {
        prop: "hanjiehoudu",
        label: "焊接厚度",
        editable: false,
        type: "input",
      },
    ]);
    const tableHeader = reactive([
      {
        prop: "JCXM",
        label: "监测项目",
        editable: false,
        type: "text",
      },
      {
        prop: "SJBZFW",
        label: "数据标准范围",
        editable: false,
        type: "input",
      },
      {
        prop: "CSZ",
        label: "实测值",
        editable: false,
        type: "input",
      },
      {
        prop: "FLMC",
        label: "辅料名称",
        editable: false,
        type: "text",
      },
      {
        prop: "CJ",
        label: "厂家",
        editable: false,
        type: "input",
      },
      {
        prop: "XH",
        label: "型号",
        editable: false,
        type: "input",
      },
    ]);

    const hlHeader = reactive([
      {
        prop: "hlDate1",
        label: "时间",
        editable: false,
        type: "text",
      },
      {
        prop: "h1",
        label: "1#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h2",
        label: "2#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h3",
        label: "2#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h4",
        label: "4#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h5",
        label: "5#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h6",
        label: "6#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h7",
        label: "7#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h8",
        label: "8#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h9",
        label: "9#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h10",
        label: "10#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h11",
        label: "11#炉",
        editable: false,
        type: "input",
      },
      {
        prop: "h12",
        label: "12#炉",
        editable: false,
        type: "input",
      },
    ]);
    const ytfpHeader = reactive([
      {
        prop: "total",
        label: "印铁废品(总计)",
        editable: false,
        type: "text",
      },
      {
        prop: "chongyingNum",
        label: "重印",
        editable: false,
        type: "input",
      },
      {
        prop: "zazhidianNum",
        label: "杂质点",
        editable: false,
        type: "input",
      },
      {
        prop: "neiyinseNum",
        label: "内印色",
        editable: false,
        type: "input",
      },
      {
        prop: "moranNum",
        label: "墨染",
        editable: false,
        type: "input",
      },
      {
        prop: "waituzouweiNum",
        label: "外涂走位",
        editable: false,
        type: "input",
      },
      {
        prop: "louyinNum",
        label: "漏印",
        editable: false,
        type: "input",
      },
      {
        prop: "neiwaituYwNum",
        label: "内外涂油污",
        editable: false,
        type: "input",
      },
      {
        prop: "namePihaoValue",
        label: "产品名称/批号",
        editable: false,
        type: "input",
      },
    ]);

    const hjfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },
      {
        prop: "touguanNum",
        label: "头罐",
        editable: false,
        type: "input",
      },
      {
        prop: "choujianNum",
        label: "抽检",
        editable: false,
        type: "input",
      },
      {
        prop: "waitubuliangNum",
        label: "外涂不良",
        editable: false,
        type: "input",
      },
      {
        prop: "kaguanNum",
        label: "卡罐",
        editable: false,
        type: "input",
      },
      {
        prop: "guhuabuliangNum",
        label: "固化不良",
        editable: false,
        type: "input",
      },
      {
        prop: "louyinNum",
        label: "",
        editable: false,
        type: "input",
      },
      {
        prop: "hanjiebuliangNum",
        label: "焊接不良",
        editable: false,
        type: "input",
      },
      {
        prop: "namePihaoValue",
        label: "产品名称/批号",
        editable: false,
        type: "input",
      },
    ]);
    let tableData = reactive([]);
    const formInline = reactive({
      user: "",
      region: "",
    });
    const imageWrapper = ref(null);

    let headData = reactive({
      head: {},
    });
    let hanjiRdData = reactive({
      hanjiRd: {},
      hanjiHongluList: {},
      feipinYintie: {},
      feipinHanji: {},
      hanjiZhiliangRdList: {},
      hanjiZhiliangWgList: {},
      hanjiZhiliangDqlsList: {},
      hanjiZhiliangDjlList: {},
    });
    let SClist = ref([]);
    let hjData = ref({});

    let hlList = ref([]);
    let ytfpData = ref([]);
    let hjfpData = ref([]);
    let wgList = ref([]);
    let dqlsList = ref([]);
    let djlList = ref([]);
    let rdList = ref([]);

    let labelName = {
      scjl: "生产记录",
      fptj: "废品统计",
      wgzl: "外观质量",
      djl: "搭接量",
      dqsl: "顶球撕拉实验",
      hlgl: "烘炉功率",
    };
    let editable = ref(false);
    const submitForm = () => {};

    const handleEdit = (row) => {
      row.editable = true;
    };
    const handleDelete = (index) => {
      this.tableData.splice(index, 1);
    };
    const prepend = (index) => {
      item.editable = true;
      this.tableData.splice(index, 0, item);
    };
    const append = (index) => {
      item.editable = true;
      this.tableData.splice(index + 1, 0, item);
    };
    const deleteCurrentColumn = (index) => {
      this.tableHeader.splice(index, 1);
    };
    const insertBefore = (index) => {
      header.editable = true;
      this.tableHeader.splice(index, 0, header);
    };
    const getListData = async () => {
      const data = await hanjiVoLest();
      console.log("hjdata......", data);
      parse(data);
    };

    function parse(data) {
      headData.head = data.data.head;
      headData.head.reportTime = headData.head.reportTime.substr(0, 10);
      hanjiRdData.hanjiRd = data.data.hanjiRd;
      hjData.value = { ...headData.head, ...hanjiRdData.hanjiRd };

      hlList.value = data.data.hanjiHongluList;

      ytfpData.value = [data.data.feipinYintie];

      hjfpData.value =
        data.data.feipinHanji == null ? [] : [data.data.feipinHanji];

      wgList.value = data.data.hanjiZhiliangWgList;
      wgList.value.filter((item) => {
        item.jdDate1 = item.jdDate.substr(11, 5);

        return item;
      });
      djlList.value = data.data.hanjiZhiliangDjlList;
      djlList.value.filter((item) => {
        item.jdDate1 = item.jdDate.substr(11, 5);

        return item;
      });
      dqlsList.value = data.data.hanjiZhiliangDqlsList;
      dqlsList.value.filter((item) => {
        item.jdDate1 = item.jdDate.substr(11, 5);

        return item;
      });
      rdList.value = data.data.hanjiZhiliangRdList;

      let arr = [
        {
          JCXM: hanjiRdData.hanjiRd.shengchannengli,
          SJBZFW: hanjiRdData.hanjiRd.shengchannengliFw,
          CSZ: hanjiRdData.hanjiRd.shengchannengliScz,
          FLMC: hanjiRdData.hanjiRd.tongxian,
          CJ: hanjiRdData.hanjiRd.tongxianCj,
          XH: hanjiRdData.hanjiRd.tongxianXh,
        },
        {
          JCXM: hanjiRdData.hanjiRd.tongxiansudu,
          SJBZFW: hanjiRdData.hanjiRd.tongxiansuduFw,
          CSZ: hanjiRdData.hanjiRd.tongxiansuduScz,
          FLMC: hanjiRdData.hanjiRd.tongxian,
          CJ: hanjiRdData.hanjiRd.tongxianCj,
          XH: hanjiRdData.hanjiRd.tongxianXh,
        },
        {
          JCXM: hanjiRdData.hanjiRd.hanjiedianliu,
          SJBZFW: hanjiRdData.hanjiRd.hanjiedianliuFw,
          CSZ: hanjiRdData.hanjiRd.hanjiedianliuScz,
          FLMC: hanjiRdData.hanjiRd.hanfengtl,
          CJ: hanjiRdData.hanjiRd.hanfengtlCj,
          XH: hanjiRdData.hanjiRd.hanfengtlXh,
        },
        {
          JCXM: hanjiRdData.hanjiRd.shuiwenfanwei,
          SJBZFW: hanjiRdData.hanjiRd.shuiwenfanweiFw,
          CSZ: hanjiRdData.hanjiRd.shuiwenfanweiScz,
          FLMC: hanjiRdData.hanjiRd.hanfengtl,
          CJ: hanjiRdData.hanjiRd.hanfengtlCj,
          XH: hanjiRdData.hanjiRd.hanfengtlXh,
        },
        {
          JCXM: hanjiRdData.hanjiRd.waituniandu,
          SJBZFW: hanjiRdData.hanjiRd.waitunianduFw,
          CSZ: hanjiRdData.hanjiRd.waitunianduScz,
          FLMC: hanjiRdData.hanjiRd.xishiji,
          CJ: hanjiRdData.hanjiRd.xishijiCj,
          XH: hanjiRdData.hanjiRd.xishijiXh,
        },
        {
          JCXM: hanjiRdData.hanjiRd.diancilugonglv,
          SJBZFW: hanjiRdData.hanjiRd.diancilugonglvFw,
          CSZ: hanjiRdData.hanjiRd.diancilugonglvScz,
          FLMC: hanjiRdData.hanjiRd.xishiji,
          CJ: hanjiRdData.hanjiRd.xishijiCj,
          XH: hanjiRdData.hanjiRd.xishijiXh,
        },
        {
          JCXM: hanjiRdData.hanjiRd.diancilusudu,
          SJBZFW: hanjiRdData.hanjiRd.diancilusuduFw,
          CSZ: hanjiRdData.hanjiRd.diancilusuduScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.kongqiyali,
          SJBZFW: hanjiRdData.hanjiRd.kongqiyaliFw,
          CSZ: hanjiRdData.hanjiRd.kongqiyaliScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.gongzuodianya,
          SJBZFW: hanjiRdData.hanjiRd.gongzuodianyaFw,
          CSZ: hanjiRdData.hanjiRd.gongzuodianyaScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.tongxianzxkd,
          SJBZFW: hanjiRdData.hanjiRd.tongxianzxkdFw,
          CSZ: hanjiRdData.hanjiRd.tongxianzxkdScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.chengyuan,
          SJBZFW: hanjiRdData.hanjiRd.chengyuanFw,
          CSZ: hanjiRdData.hanjiRd.chengyuanScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.tanhuangyali,
          SJBZFW: hanjiRdData.hanjiRd.tanhuangyaliFw,
          CSZ: hanjiRdData.hanjiRd.tanhuangyaliScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.z,
          SJBZFW: hanjiRdData.hanjiRd.zfw,
          CSZ: hanjiRdData.hanjiRd.zscz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.shanghanlun,
          SJBZFW: hanjiRdData.hanjiRd.shanghanlunFw,
          CSZ: hanjiRdData.hanjiRd.shanghanlunScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.xiaghanlun,
          SJBZFW: hanjiRdData.hanjiRd.xiaghanlunFw,
          CSZ: hanjiRdData.hanjiRd.xiaghanlunScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
        {
          JCXM: hanjiRdData.hanjiRd.hanjijishu,
          SJBZFW: hanjiRdData.hanjiRd.hanjijishuFw,
          CSZ: hanjiRdData.hanjiRd.hanjijishuScz,
          FLMC: "",
          CJ: "",
          XH: "",
        },
      ];
      SClist.value = arr;
    }
    const saveData = async () => {
      editable = false;
      SClist.value.filter((item) => {
        if (item.JCXM == hanjiRdData.hanjiRd.shengchannengli) {
          hanjiRdData.hanjiRd.shengchannengliFw = item.SJBZFW;
          hanjiRdData.hanjiRd.shengchannengliScz = item.CSZ;
          hanjiRdData.hanjiRd.xishiji = item.FLMC;
          hanjiRdData.hanjiRd.xishijiCj = item.CJ;
          hanjiRdData.hanjiRd.xishijiXh = item.XH;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.tongxiansudu) {
          hanjiRdData.hanjiRd.tongxiansuduFw = item.SJBZFW;
          hanjiRdData.hanjiRd.tongxiansuduScz = item.CSZ;
          hanjiRdData.hanjiRd.xishiji = item.FLMC;
          hanjiRdData.hanjiRd.xishijiCj = item.CJ;
          hanjiRdData.hanjiRd.xishijiXh = item.XH;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.hanjiedianliu) {
          hanjiRdData.hanjiRd.hanjiedianliuFw = item.SJBZFW;
          hanjiRdData.hanjiRd.hanjiedianliuScz = item.CSZ;
          hanjiRdData.hanjiRd.xishiji = item.FLMC;
          hanjiRdData.hanjiRd.xishijiCj = item.CJ;
          hanjiRdData.hanjiRd.xishijiXh = item.XH;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.shuiwenfanwei) {
          hanjiRdData.hanjiRd.shuiwenfanweiFw = item.SJBZFW;
          hanjiRdData.hanjiRd.shuiwenfanweiScz = item.CSZ;
          hanjiRdData.hanjiRd.xishiji = item.FLMC;
          hanjiRdData.hanjiRd.xishijiCj = item.CJ;
          hanjiRdData.hanjiRd.xishijiXh = item.XH;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.waituniandu) {
          hanjiRdData.hanjiRd.waitunianduFw = item.SJBZFW;
          hanjiRdData.hanjiRd.waitunianduScz = item.CSZ;
          hanjiRdData.hanjiRd.xishiji = item.FLMC;
          hanjiRdData.hanjiRd.xishijiCj = item.CJ;
          hanjiRdData.hanjiRd.xishijiXh = item.XH;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.diancilugonglv) {
          hanjiRdData.hanjiRd.diancilugonglvFw = item.SJBZFW;
          hanjiRdData.hanjiRd.diancilugonglvScz = item.CSZ;
          hanjiRdData.hanjiRd.xishiji = item.FLMC;
          hanjiRdData.hanjiRd.xishijiCj = item.CJ;
          hanjiRdData.hanjiRd.xishijiXh = item.XH;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.diancilusudu) {
          hanjiRdData.hanjiRd.diancilusuduFw = item.SJBZFW;
          hanjiRdData.hanjiRd.diancilusuduScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.kongqiyali) {
          hanjiRdData.hanjiRd.kongqiyaliFw = item.SJBZFW;
          hanjiRdData.hanjiRd.kongqiyaliScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.gongzuodianya) {
          hanjiRdData.hanjiRd.gongzuodianyaFw = item.SJBZFW;
          hanjiRdData.hanjiRd.gongzuodianyaScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.tongxianzxkd) {
          hanjiRdData.hanjiRd.tongxianzxkdFw = item.SJBZFW;
          hanjiRdData.hanjiRd.tongxianzxkdScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.chengyuan) {
          hanjiRdData.hanjiRd.chengyuanFw = item.SJBZFW;
          hanjiRdData.hanjiRd.chengyuanScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.tanhuangyali) {
          hanjiRdData.hanjiRd.tanhuangyaliFw = item.SJBZFW;
          hanjiRdData.hanjiRd.tanhuangyaliScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.z) {
          hanjiRdData.hanjiRd.zfw = item.SJBZFW;
          hanjiRdData.hanjiRd.zscz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.hanjijishu) {
          hanjiRdData.hanjiRd.hanjijishuFw = item.SJBZFW;
          hanjiRdData.hanjiRd.hanjijishuScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.xiaghanlun) {
          hanjiRdData.hanjiRd.xiaghanlunFw = item.SJBZFW;
          hanjiRdData.hanjiRd.xiaghanlunScz = item.CSZ;
        }
        if (item.JCXM == hanjiRdData.hanjiRd.shanghanlun) {
          hanjiRdData.hanjiRd.shanghanlunFw = item.SJBZFW;
          hanjiRdData.hanjiRd.shanghanlunScz = item.CSZ;
        }
        return item;
      });
      let mydata = {
        hanjiRd: hanjiRdData.hanjiRd,
        hanjiHongluList: hlList.value,
        feipinYintie: ytfpData.value[0],
        feipinHanji: hjfpData.value[0],

        hanjiZhiliangWgList: wgList.value,
        hanjiZhiliangRdList: rdList.value,
        hanjiZhiliangDqlsList: dqlsList.value,
        hanjiZhiliangDjlList: djlList.value,
        head: headData.head,
      };
      console.log("save data...", mydata);
      const dt = await save(mydata);
      if (dt.code == 0) {
        ElMessage({
          message: "修改成功",
          type: "success",
        });
      }
      console.log(dt);
    };
    //截图

    const toImage = () => {
      html2canvas(imageWrapper.value, {
        logging: false,
        allowTaint: true,
        scale: window.devicePixelRatio,
        // width: shareContent.clientWidth, //dom 原始宽度
        // height: shareContent.clientHeight,
        scrollY: 0,
        scrollX: 0,
        useCORS: true,
        backgroundColor: "#ffffff",
      }).then(function (canvas) {
        // console.log(canvas);
        let imgUrl = canvas.toDataURL("image/png");
        var tempLink = document.createElement("a"); // 创建一个a标签
        tempLink.style.display = "none";
        tempLink.href = imgUrl;
        tempLink.setAttribute("download", "焊机/后道工序生产质量记录"); // 给a标签添加下载属性
        if (typeof tempLink.download === "undefined") {
          tempLink.setAttribute("target", "_blank");
        }
        document.body.appendChild(tempLink); // 将a标签添加到body当中
        tempLink.click(); // 启动下载
        document.body.removeChild(tempLink); // 下载完毕删除a标签
        window.URL.revokeObjectURL(imgUrl);
      });
    };
    // 点击导出word
    function exportWord() {
      // 读取并获得模板文件的二进制内容
      JSZipUtils.getBinaryContent("hj.docx", function (error, content) {
        // input.docx是模板。我们在导出的时候，会根据此模板来导出对应的数据
        // 抛出异常
        if (error) {
          throw error;
        }

        // 创建一个JSZip实例，内容为模板的内容
        let zip = new PizZip(content);
        // 创建并加载docxtemplater实例对象
        let doc = new docxtemplater().loadZip(zip).setOptions({
          nullGetter: function () {
            return "";
          },
        });
        // 设置模板变量的值

        doc.setData({
          ...hjData.value,
          t3: hlList.value,
          t1: ytfpData.value,
          t2: hjData.value,
          t4: wgList.value,
          t5: wgList.value,
          t6: wgList.value,
          t7: djlList.value,
          t8: dqlsList.value,
          rdList,

          // table: hanjiRdData.hanjiRd,
        });

        try {
          // 用模板变量的值替换所有模板变量
          doc.render();
        } catch (error) {
          // 抛出异常
          let e = {
            message: error.message,
            name: error.name,
            stack: error.stack,
            properties: error.properties,
          };
          console.log(JSON.stringify({ error: e }));
          throw error;
        }

        // 生成一个代表docxtemplater对象的zip文件（不是一个真实的文件，而是在内存中的表示）
        let out = doc.getZip().generate({
          type: "blob",
          mimeType:
            "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
        });
        // 将目标文件对象保存为目标类型的文件，并命名
        saveAs(out, "焊机/后道工序生产质量记录.docx");
      });
    }
    const getRouterData = async (req) => {
      console.log("req....", req);
      const data = await headReport(req);
      console.log("jbj router data.....", data);

      parse(data);
    };
    onMounted(() => {
      console.log("rrrrrrrrrrr", router.currentRoute.value.query);
      let head_id = router.currentRoute.value.query.id;
      let leixing = router.currentRoute.value.query.leixing;
      console.log("vue recv....", head_id, leixing);
      if (head_id == null) {
        getListData();
      } else {
        getRouterData({ head_id: head_id, leixing: leixing });
      }
    });
    return {
      saveData,
      submitForm,
      formInline,
      tableData,
      insertBefore,
      deleteCurrentColumn,
      append,
      prepend,
      handleDelete,
      handleEdit,
      tableHeader,
      hlHeader,
      hjfpHeader,
      ytfpHeader,
      wgHeader,
      djlHeader,
      dqlsHeader,
      rdHeader,
      getListData,
      headData,
      toImage,
      imageWrapper,
      SClist,
      hlList,
      hjData,
      ytfpData,
      hjfpData,
      wgList,
      djlList,
      dqlsList,
      rdList,
      exportWord,
      editable,
      labelName,
    };
  },
};
</script>
<style lang="scss" scoped>
.header_nox {
  text-align: right;
}
#printContent h3 {
  text-align: center;
  margin-bottom: 40px;
  font-size: 26px;
  font-weight: bold;
}
.title_form {
  display: flex;
  justify-content: space-around;
  align-items: center;
  // margin-bottom: 20px;
}
.title_form_input {
  font-size: 16px;
}
</style>
